Skip to main content
POST
/
api
/
v1
/
Settings
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/Settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "key": "<string>",
  "value": "<string>",
  "extraPropertiesDict": {},
  "description": "<string>",
  "scope": "Global",
  "scopeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category": "<string>",
  "isEncrypted": true,
  "isReadOnly": true,
  "defaultValue": "<string>",
  "validationRegex": "<string>",
  "possibleValues": "<string>"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

key
string | null
required
value
string | null
required
extraPropertiesDict
object
description
string | null
scope
enum<integer>
Available options:
Global,
Tenant,
User
scopeId
string<uuid> | null
category
string | null
isEncrypted
boolean
isReadOnly
boolean
defaultValue
string | null
validationRegex
string | null
possibleValues
string | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
string<uuid>